Subject: [6lo] Review comments on draft-ietf-6lo-lopwpanz

From: Samita Chakrabarti <[email-masked]>
Date: Sat, 3 May 2014 00:42:29 +0000

Hello All:

I have reviewed Ander's -04 version of the draft http://datatracker.ietf.org/doc/draft-ietf-6lo-lowpanz/  and provided comments off-line.

Anders have been working on updating the documents and almost ready for the next revisions with the updates.

The comments are mostly editorial and clarification at this point as it is moving to the next step - being the first document to move forward after WGLC.

Here is a summary of my comments:

1. Add definition for "mesh-under" and "route-over". Also add definition for "logical networks" that you used several times in the context of G.9959

2. Clarification needed on "home id" definition and add reference to EUI-64 reference
3. Add reference to ULA  RFC 4193

General comment on 'definition of terms':  Please add more text to provide a short definition rather than acronym expansion

4. How about adding a section on "G.9959 Topology for IPv6 Transport" ?  From the document it is not clear whether the network-controller is also acting as ABR?, whether you have multi-hop subnets or only one hop subnet ? A diagram will help or a section describing the typical topology is needed for understading.

5. Please provide a mapping example as to how to map the homeid into the Ipv6 subnet.  Does it mean that the controller gets a /48 prefix and then add the homeid to the 16bit to make it a /64 prefix?

6. section 2.1 - Clarify what it means by complying with RFC 6775 when M bit is on

7. Section 2.4 - is this section trying to say that transmission status indication is useful for reliable and efficient implementation for handling fragmented packets? If so, please clarify.
8. Section 3.1 -- says "Non-6LoWPAN protocols MUST ignore the contents following the 6LoWPAN Command
Class identifier." ---Please explain a bit in details.

8. Section 4.4.2 -- " An implementation for mesh-under operation MUST use RFC6775 for managing IPv6 prefixes"  contradicts with section 4.4 "Mesh-under networks MUST NOT use RFC 6775 address registration" -- Requires clarification and reference to sections of RFC6775 to say which sections to implement and which one to skip.

9. section 4.4.2.1 -- Needs clarification/clear text on M flag behavior when it is ON.

10. Appendix A-- HLIM field should be '10' in the last diagram example on page 16.

11. s/Hext header/Next header

--Samita

---

From: Anders Brandt <[email-masked]>
Date: Mon, 5 May 2014 07:09:39 +0000

Thanks, Samita

I have corrected the nits and replaced the M flag text with a more clear table.
Definitions have been added as well as a few explanations.

With regards to your request for a topology discussion:
This document was created to be 100% topology agnostic. The addressing,
encapsulation and header compression techniques work the same way
whether the network implements one-hop only or multi-hop subnets.
Thus, such a section would not really make sense.
Though, I have added a recommendation that the G.9959 network control
is integrated in the ABR.

I believe that I have addressed all the below comments and therefore, I
have submitted a new -05 revision of the draft. ... and this very moment,
I am realising that I forgot to add a section to the change log for the -04 to
-05 transition.
I have added it offline, but I see no reason for submitting a -06 revision
just for adding a change log section.
A -04 - -05 diff file has been attached to this mail.

Thanks,
  Anders.

From: Samita Chakrabarti [mailto:[email-masked]]
Sent: 3. maj 2014 02:42
To: Anders Brandt; Jakob Buron
Cc: [email-masked]
Subject: Review comments on draft-ietf-6lo-lopwpanz

Hello All:

--Samita

---

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 7 May 2014 00:59:09 +0000

Thank you Anders.

-Samita

From: Anders Brandt [mailto:[email-masked]]
Sent: Monday, May 05, 2014 12:10 AM
To: Samita Chakrabarti; Jakob Buron
Cc: [email-masked]
Subject: RE: Review comments on draft-ietf-6lo-lopwpanz

Thanks, Samita

Thanks,
  Anders.

From: Samita Chakrabarti [mailto:[email-masked]]
Sent: 3. maj 2014 02:42
To: Anders Brandt; Jakob Buron
Cc: [email-masked]<mailto:[email-masked]>
Subject: Review comments on draft-ietf-6lo-lopwpanz

Hello All:

--Samita